Changeset 994


Ignore:
Timestamp:
Apr 23, 2007 8:38:46 PM (13 years ago)
Author:
andreasw
Message:

reran autotools; added support for WSMP (--with-wsmp as configure option)

Location:
trunk
Files:
8 edited

Legend:

Unmodified
Added
Removed
  • trunk/Clp/configure

    r984 r994  
    11051105  --with-tags[=TAGS]
    11061106                          include additional configurations [automatic]
     1107  --with-wsmp             specify WSMP library
    11071108
    11081109Some influential environment variables:
     
    17491750if test "${with_clp_verbosity+set}" = set; then
    17501751  withval="$with_clp_verbosity"
    1751   coin_clp_verbosity=$withval
     1752  if test "$withval" = yes; then
     1753                withval=1
     1754              fi
     1755              coin_clp_verbosity=$withval
    17521756else
    17531757  coin_clp_verbosity=0
     
    17631767if test "${with_clp_checklevel+set}" = set; then
    17641768  withval="$with_clp_checklevel"
    1765   coin_clp_checklevel=$withval
     1769  if test "$withval" = yes; then
     1770                withval=1
     1771              fi
     1772              coin_clp_checklevel=$withval
    17661773else
    17671774  coin_clp_checklevel=0
     
    56275634*-*-irix6*)
    56285635  # Find out which ABI we are using.
    5629   echo '#line 5629 "configure"' > conftest.$ac_ext
     5636  echo '#line 5636 "configure"' > conftest.$ac_ext
    56305637  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    56315638  (eval $ac_compile) 2>&5
     
    67616768
    67626769# Provide some information about the compiler.
    6763 echo "$as_me:6763:" \
     6770echo "$as_me:6770:" \
    67646771     "checking for Fortran 77 compiler version" >&5
    67656772ac_compiler=`set X $ac_compile; echo $2`
     
    78287835   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78297836   -e 's:$: $lt_compiler_flag:'`
    7830    (eval echo "\"\$as_me:7830: $lt_compile\"" >&5)
     7837   (eval echo "\"\$as_me:7837: $lt_compile\"" >&5)
    78317838   (eval "$lt_compile" 2>conftest.err)
    78327839   ac_status=$?
    78337840   cat conftest.err >&5
    7834    echo "$as_me:7834: \$? = $ac_status" >&5
     7841   echo "$as_me:7841: \$? = $ac_status" >&5
    78357842   if (exit $ac_status) && test -s "$ac_outfile"; then
    78367843     # The compiler can only warn and ignore the option if not recognized
     
    80968103   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80978104   -e 's:$: $lt_compiler_flag:'`
    8098    (eval echo "\"\$as_me:8098: $lt_compile\"" >&5)
     8105   (eval echo "\"\$as_me:8105: $lt_compile\"" >&5)
    80998106   (eval "$lt_compile" 2>conftest.err)
    81008107   ac_status=$?
    81018108   cat conftest.err >&5
    8102    echo "$as_me:8102: \$? = $ac_status" >&5
     8109   echo "$as_me:8109: \$? = $ac_status" >&5
    81038110   if (exit $ac_status) && test -s "$ac_outfile"; then
    81048111     # The compiler can only warn and ignore the option if not recognized
     
    82008207   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82018208   -e 's:$: $lt_compiler_flag:'`
    8202    (eval echo "\"\$as_me:8202: $lt_compile\"" >&5)
     8209   (eval echo "\"\$as_me:8209: $lt_compile\"" >&5)
    82038210   (eval "$lt_compile" 2>out/conftest.err)
    82048211   ac_status=$?
    82058212   cat out/conftest.err >&5
    8206    echo "$as_me:8206: \$? = $ac_status" >&5
     8213   echo "$as_me:8213: \$? = $ac_status" >&5
    82078214   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82088215   then
     
    1054510552  lt_status=$lt_dlunknown
    1054610553  cat > conftest.$ac_ext <<EOF
    10547 #line 10547 "configure"
     10554#line 10554 "configure"
    1054810555#include "confdefs.h"
    1054910556
     
    1064510652  lt_status=$lt_dlunknown
    1064610653  cat > conftest.$ac_ext <<EOF
    10647 #line 10647 "configure"
     10654#line 10654 "configure"
    1064810655#include "confdefs.h"
    1064910656
     
    1298912996   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1299012997   -e 's:$: $lt_compiler_flag:'`
    12991    (eval echo "\"\$as_me:12991: $lt_compile\"" >&5)
     12998   (eval echo "\"\$as_me:12998: $lt_compile\"" >&5)
    1299212999   (eval "$lt_compile" 2>conftest.err)
    1299313000   ac_status=$?
    1299413001   cat conftest.err >&5
    12995    echo "$as_me:12995: \$? = $ac_status" >&5
     13002   echo "$as_me:13002: \$? = $ac_status" >&5
    1299613003   if (exit $ac_status) && test -s "$ac_outfile"; then
    1299713004     # The compiler can only warn and ignore the option if not recognized
     
    1309313100   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1309413101   -e 's:$: $lt_compiler_flag:'`
    13095    (eval echo "\"\$as_me:13095: $lt_compile\"" >&5)
     13102   (eval echo "\"\$as_me:13102: $lt_compile\"" >&5)
    1309613103   (eval "$lt_compile" 2>out/conftest.err)
    1309713104   ac_status=$?
    1309813105   cat out/conftest.err >&5
    13099    echo "$as_me:13099: \$? = $ac_status" >&5
     13106   echo "$as_me:13106: \$? = $ac_status" >&5
    1310013107   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1310113108   then
     
    1466314670   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1466414671   -e 's:$: $lt_compiler_flag:'`
    14665    (eval echo "\"\$as_me:14665: $lt_compile\"" >&5)
     14672   (eval echo "\"\$as_me:14672: $lt_compile\"" >&5)
    1466614673   (eval "$lt_compile" 2>conftest.err)
    1466714674   ac_status=$?
    1466814675   cat conftest.err >&5
    14669    echo "$as_me:14669: \$? = $ac_status" >&5
     14676   echo "$as_me:14676: \$? = $ac_status" >&5
    1467014677   if (exit $ac_status) && test -s "$ac_outfile"; then
    1467114678     # The compiler can only warn and ignore the option if not recognized
     
    1476714774   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1476814775   -e 's:$: $lt_compiler_flag:'`
    14769    (eval echo "\"\$as_me:14769: $lt_compile\"" >&5)
     14776   (eval echo "\"\$as_me:14776: $lt_compile\"" >&5)
    1477014777   (eval "$lt_compile" 2>out/conftest.err)
    1477114778   ac_status=$?
    1477214779   cat out/conftest.err >&5
    14773    echo "$as_me:14773: \$? = $ac_status" >&5
     14780   echo "$as_me:14780: \$? = $ac_status" >&5
    1477414781   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1477514782   then
     
    1697416981   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1697516982   -e 's:$: $lt_compiler_flag:'`
    16976    (eval echo "\"\$as_me:16976: $lt_compile\"" >&5)
     16983   (eval echo "\"\$as_me:16983: $lt_compile\"" >&5)
    1697716984   (eval "$lt_compile" 2>conftest.err)
    1697816985   ac_status=$?
    1697916986   cat conftest.err >&5
    16980    echo "$as_me:16980: \$? = $ac_status" >&5
     16987   echo "$as_me:16987: \$? = $ac_status" >&5
    1698116988   if (exit $ac_status) && test -s "$ac_outfile"; then
    1698216989     # The compiler can only warn and ignore the option if not recognized
     
    1724217249   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1724317250   -e 's:$: $lt_compiler_flag:'`
    17244    (eval echo "\"\$as_me:17244: $lt_compile\"" >&5)
     17251   (eval echo "\"\$as_me:17251: $lt_compile\"" >&5)
    1724517252   (eval "$lt_compile" 2>conftest.err)
    1724617253   ac_status=$?
    1724717254   cat conftest.err >&5
    17248    echo "$as_me:17248: \$? = $ac_status" >&5
     17255   echo "$as_me:17255: \$? = $ac_status" >&5
    1724917256   if (exit $ac_status) && test -s "$ac_outfile"; then
    1725017257     # The compiler can only warn and ignore the option if not recognized
     
    1734617353   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1734717354   -e 's:$: $lt_compiler_flag:'`
    17348    (eval echo "\"\$as_me:17348: $lt_compile\"" >&5)
     17355   (eval echo "\"\$as_me:17355: $lt_compile\"" >&5)
    1734917356   (eval "$lt_compile" 2>out/conftest.err)
    1735017357   ac_status=$?
    1735117358   cat out/conftest.err >&5
    17352    echo "$as_me:17352: \$? = $ac_status" >&5
     17359   echo "$as_me:17359: \$? = $ac_status" >&5
    1735317360   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1735417361   then
     
    2006020067
    2006120068  case $build in
     20069    *x86_64-*)
     20070# Here we need to check if -m32 is specified.  If so, we need to correct sys_lib_search_path_spec
     20071      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     20072        { echo "$as_me:$LINENO: Applying patches to libtool for 32bit compilation" >&5
     20073echo "$as_me: Applying patches to libtool for 32bit compilation" >&6;}
     20074        sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="/lib /usr/lib"|' libtool > conftest.bla
     20075        mv conftest.bla libtool
     20076        chmod 755 libtool
     20077      fi
     20078      ;;
    2006220079    *-cygwin* | *-mingw*)
    2006320080    case "$CXX" in
     
    2007420091            -e 's/$AR t/lib -nologo -list/' \
    2007520092            -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    20076             -e  's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20093            -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20094            -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    2007720095        libtool > conftest.bla
    2007820096
     
    2009220110        ;;
    2009320111    esac
     20112    ;;
     20113    *-darwin*)
     20114      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     20115echo "$as_me: Applying patches to libtool for Darwin" >&6;}
     20116      sed -e 's/verstring="${wl}-compatibility_version ${wl}$minor_current ${wl}-current_version ${wl}$minor_current.$revision"/verstring="-compatibility_version $minor_current -current_version $minor_current.$revision"/' \
     20117      libtool > conftest.bla
     20118
     20119      mv conftest.bla libtool
     20120      chmod 755 libtool
     20121      ;;
    2009420122  esac
    2009520123# This fi matches the commented `if test "x$LIBTOOL" = x;' up at the head of
     
    2031520343echo "${ECHO_T}$coin_has_clp" >&6
    2031620344
     20345
     20346#############################################################################
     20347#                        Third party linear solvers                         #
     20348#############################################################################
     20349
     20350# WSMP
     20351
     20352# Check whether --with-wsmp or --without-wsmp was given.
     20353if test "${with_wsmp+set}" = set; then
     20354  withval="$with_wsmp"
     20355  use_wsmp=$withval
     20356else
     20357  use_wsmp=no
     20358fi;
     20359
     20360if test "$use_wsmp" != "no"; then
     20361  LIBS="$use_wsmp $LIBS"
     20362  ADDLIBS="$use_wsmp $ADDLIBS"
     20363
     20364  defval=
     20365  echo "$as_me:$LINENO: checking whether user-supplied WSMP library \"$use_wsmp\" works (symbol wssmp_)" >&5
     20366echo $ECHO_N "checking whether user-supplied WSMP library \"$use_wsmp\" works (symbol wssmp_)... $ECHO_C" >&6
     20367  cat >conftest.$ac_ext <<_ACEOF
     20368/* confdefs.h.  */
     20369_ACEOF
     20370cat confdefs.h >>conftest.$ac_ext
     20371cat >>conftest.$ac_ext <<_ACEOF
     20372/* end confdefs.h.  */
     20373
     20374int
     20375main ()
     20376{
     20377wssmp_()
     20378  ;
     20379  return 0;
     20380}
     20381_ACEOF
     20382rm -f conftest.$ac_objext conftest$ac_exeext
     20383if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     20384  (eval $ac_link) 2>conftest.er1
     20385  ac_status=$?
     20386  grep -v '^ *+' conftest.er1 >conftest.err
     20387  rm -f conftest.er1
     20388  cat conftest.err >&5
     20389  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     20390  (exit $ac_status); } &&
     20391         { ac_try='test -z "$ac_c_werror_flag"
     20392                         || test ! -s conftest.err'
     20393  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     20394  (eval $ac_try) 2>&5
     20395  ac_status=$?
     20396  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     20397  (exit $ac_status); }; } &&
     20398         { ac_try='test -s conftest$ac_exeext'
     20399  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     20400  (eval $ac_try) 2>&5
     20401  ac_status=$?
     20402  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     20403  (exit $ac_status); }; }; then
     20404  echo "$as_me:$LINENO: result: yes" >&5
     20405echo "${ECHO_T}yes" >&6
     20406               defval=2
     20407else
     20408  echo "$as_me: failed program was:" >&5
     20409sed 's/^/| /' conftest.$ac_ext >&5
     20410
     20411echo "$as_me:$LINENO: result: no" >&5
     20412echo "${ECHO_T}no" >&6
     20413fi
     20414rm -f conftest.err conftest.$ac_objext \
     20415      conftest$ac_exeext conftest.$ac_ext
     20416  if test "$defval" = ""; then
     20417    echo "$as_me:$LINENO: checking whether user-supplied WSMP library \"$use_wsmp\" works (symbol wssmp)" >&5
     20418echo $ECHO_N "checking whether user-supplied WSMP library \"$use_wsmp\" works (symbol wssmp)... $ECHO_C" >&6
     20419    cat >conftest.$ac_ext <<_ACEOF
     20420/* confdefs.h.  */
     20421_ACEOF
     20422cat confdefs.h >>conftest.$ac_ext
     20423cat >>conftest.$ac_ext <<_ACEOF
     20424/* end confdefs.h.  */
     20425
     20426int
     20427main ()
     20428{
     20429wssmp()
     20430  ;
     20431  return 0;
     20432}
     20433_ACEOF
     20434rm -f conftest.$ac_objext conftest$ac_exeext
     20435if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     20436  (eval $ac_link) 2>conftest.er1
     20437  ac_status=$?
     20438  grep -v '^ *+' conftest.er1 >conftest.err
     20439  rm -f conftest.er1
     20440  cat conftest.err >&5
     20441  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     20442  (exit $ac_status); } &&
     20443         { ac_try='test -z "$ac_c_werror_flag"
     20444                         || test ! -s conftest.err'
     20445  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     20446  (eval $ac_try) 2>&5
     20447  ac_status=$?
     20448  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     20449  (exit $ac_status); }; } &&
     20450         { ac_try='test -s conftest$ac_exeext'
     20451  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     20452  (eval $ac_try) 2>&5
     20453  ac_status=$?
     20454  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     20455  (exit $ac_status); }; }; then
     20456  echo "$as_me:$LINENO: result: yes" >&5
     20457echo "${ECHO_T}yes" >&6
     20458                 defval=3
     20459else
     20460  echo "$as_me: failed program was:" >&5
     20461sed 's/^/| /' conftest.$ac_ext >&5
     20462
     20463echo "$as_me:$LINENO: result: no" >&5
     20464echo "${ECHO_T}no" >&6
     20465fi
     20466rm -f conftest.err conftest.$ac_objext \
     20467      conftest$ac_exeext conftest.$ac_ext
     20468  fi
     20469  if test "$defval" = ""; then
     20470    { { echo "$as_me:$LINENO: error: WSMP library $use_wsmp does not seem to work" >&5
     20471echo "$as_me: error: WSMP library $use_wsmp does not seem to work" >&2;}
     20472   { (exit 1); exit 1; }; }
     20473  fi
     20474
     20475
     20476cat >>confdefs.h <<_ACEOF
     20477#define WSSMP_BARRIER $defval
     20478_ACEOF
     20479
     20480fi
    2031720481
    2031820482#############################################################################
     
    2066720831# Finally, we let configure write all the output...
    2066820832
    20669 FADDLIBS="$ADDLIBS"
    20670 if test x"$coin_need_flibs" = xyes; then
    20671   ADDLIBS="$ADDLIBS $FLIBS"
    20672 fi
    20673 
    20674 # library extension
    20675 
    20676 case "$CC" in
    20677   cl* | */cl* | CL* | */CL*)
    20678        LIBEXT=lib ;;
    20679     *) LIBEXT=a ;;
    20680 esac
    20681 
    20682 # Define VPATH_DISTCLEANFILES to be everything that needs to be
    20683 # cleaned for distclean in a vpath configuration
    20684 
    20685 VPATH_DISTCLEANFILES="$coin_vpath_link_files"
    20686 
    20687 cat >confcache <<\_ACEOF
     20833if test x$coin_skip_ac_output != xyes; then
     20834
     20835  FADDLIBS="$ADDLIBS"
     20836  if test x"$coin_need_flibs" = xyes; then
     20837    ADDLIBS="$ADDLIBS $FLIBS"
     20838  fi
     20839
     20840  # library extension
     20841
     20842  case "$CC" in
     20843    cl* | */cl* | CL* | */CL*)
     20844         LIBEXT=lib ;;
     20845      *) LIBEXT=a ;;
     20846  esac
     20847
     20848  # Define VPATH_DISTCLEANFILES to be everything that needs to be
     20849  # cleaned for distclean in a vpath configuration
     20850
     20851  VPATH_DISTCLEANFILES="$coin_vpath_link_files"
     20852
     20853  # Take out subdirectories if their configuration concluded that they
     20854  # don't need to be compiled
     20855  if test x"$coin_ac_skip_subdirs" != x; then
     20856    new_subdirs=
     20857    for i in $subdirs; do
     20858      skipme=no
     20859      for j in $coin_ac_skip_subdirs; do
     20860        if test $i = $j; then
     20861          skipme=yes;
     20862        fi
     20863      done
     20864      if test $skipme = no; then
     20865        new_subdirs="$new_subdirs $i"
     20866      fi
     20867    done
     20868    subdirs="$new_subdirs"
     20869  fi
     20870
     20871  cat >confcache <<\_ACEOF
    2068820872# This file is a shell script that caches the results of configure
    2068920873# tests run on this system so they can be shared between configure
     
    2219422378
    2219522379
    22196 if test x"$coin_vpath_link_files" = x; then : ; else
    22197   lnkcmd=
    22198   if test "$enable_doscompile" = yes; then
    22199     lnkcmd=cp
    22200   fi
    22201   case "$CC" in
    22202     cl* | */cl* | CL* | */CL*)
    22203       lnkcmd=cp ;;
    22204   esac
    22205   if test "$lnkcmd" = cp; then
    22206     { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
     22380  if test x"$coin_vpath_link_files" = x; then : ; else
     22381    lnkcmd=
     22382    if test "$enable_doscompile" = yes; then
     22383      lnkcmd=cp
     22384    fi
     22385    case "$CC" in
     22386      cl* | */cl* | CL* | */CL*)
     22387        lnkcmd=cp ;;
     22388    esac
     22389    if test "$lnkcmd" = cp; then
     22390      { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
    2220722391echo "$as_me: Copying data files for VPATH configuration" >&6;}
    22208   else
    22209     echo "$as_me:$LINENO: checking whether ln -s works" >&5
     22392    else
     22393      echo "$as_me:$LINENO: checking whether ln -s works" >&5
    2221022394echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
    2221122395LN_S=$as_ln_s
     
    2221822402fi
    2221922403
    22220     { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     22404      { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    2222122405echo "$as_me: Creating VPATH links for data files" >&6;}
    22222     lnkcmd="$LN_S"
    22223   fi
    22224   for file in $coin_vpath_link_files; do
    22225     dir=`(dirname "./$file") 2>/dev/null ||
     22406      lnkcmd="$LN_S"
     22407    fi
     22408    for file in $coin_vpath_link_files; do
     22409      dir=`(dirname "./$file") 2>/dev/null ||
    2222622410$as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    2222722411         X"./$file" : 'X\(//\)[^/]' \| \
     
    2223522419          /^X\(\/\).*/{ s//\1/; q; }
    2223622420          s/.*/./; q'`
    22237     if test -d $dir; then : ; else
    22238       { if $as_mkdir_p; then
     22421      if test -d $dir; then : ; else
     22422        { if $as_mkdir_p; then
    2223922423    mkdir -p $dir
    2224022424  else
     
    2226122445   { (exit 1); exit 1; }; }; }
    2226222446
    22263     fi
    22264     rm -f $file
    22265     $lnkcmd $abs_source_dir/$file $file
    22266   done
    22267 fi
    22268 
    22269 if test x$coin_projectdir = xyes; then
    22270   { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
     22447      fi
     22448      rm -f $file
     22449      $lnkcmd $abs_source_dir/$file $file
     22450    done
     22451  fi
     22452
     22453  if test x$coin_projectdir = xyes; then
     22454    { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
    2227122455echo "$as_me: Configuration of $PACKAGE_NAME successful" >&6;}
    22272 else
    22273   { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
     22456  else
     22457    { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
    2227422458echo "$as_me: Main configuration of $PACKAGE_NAME successful" >&6;}
    22275 fi
    22276 
     22459  fi
     22460else
     22461  { echo "$as_me:$LINENO: No configuration of $PACKAGE_NAME necessary" >&5
     22462echo "$as_me: No configuration of $PACKAGE_NAME necessary" >&6;}
     22463fi
     22464
     22465
  • trunk/Clp/configure.ac

    r836 r994  
    6161
    6262#############################################################################
     63#                        Third party linear solvers                         #
     64#############################################################################
     65
     66# WSMP
     67AC_ARG_WITH([wsmp],
     68            AC_HELP_STRING([--with-wsmp],
     69                           [specify WSMP library]),
     70            [use_wsmp=$withval], [use_wsmp=no])
     71
     72if test "$use_wsmp" != "no"; then
     73  LIBS="$use_wsmp $LIBS"
     74  ADDLIBS="$use_wsmp $ADDLIBS"
     75
     76  defval=
     77  AC_MSG_CHECKING([whether user-supplied WSMP library \"$use_wsmp\" works (symbol wssmp_)])
     78  AC_TRY_LINK([],[wssmp_()],
     79              [AC_MSG_RESULT(yes)
     80               defval=2],
     81              [AC_MSG_RESULT(no)])
     82  if test "$defval" = ""; then
     83    AC_MSG_CHECKING([whether user-supplied WSMP library \"$use_wsmp\" works (symbol wssmp)])
     84    AC_TRY_LINK([],[wssmp()],
     85                [AC_MSG_RESULT(yes)
     86                 defval=3],
     87                [AC_MSG_RESULT(no)])
     88  fi
     89  if test "$defval" = ""; then
     90    AC_MSG_ERROR([WSMP library $use_wsmp does not seem to work])
     91  fi
     92
     93  AC_DEFINE_UNQUOTED([WSSMP_BARRIER], [$defval],
     94                     [Define to 2 if wssmp_ is available, and to 3 if wssmp is available])
     95fi
     96
     97#############################################################################
    6398#                             Other dependencies                            #
    6499#############################################################################
  • trunk/Clp/inc/config_clp.h.in

    r836 r994  
    7272/* Version number of package */
    7373#undef VERSION
     74
     75/* Define to 2 if wssmp_ is available, and to 3 if wssmp is available */
     76#undef WSSMP_BARRIER
  • trunk/Clp/src/ClpCholeskyWssmp.cpp

    r894 r994  
    1 #ifdef WSSMP_BARRIER
    21// Copyright (C) 2003, International Business Machines
    32// Corporation and others.  All Rights Reserved.
     
    1413#include "ClpMessage.hpp"
    1514
     15#ifdef WSSMP_BARRIER
    1616//#############################################################################
    1717// Constructors / Destructor / Assignment
  • trunk/Clp/src/ClpCholeskyWssmpKKT.cpp

    r894 r994  
    1 #ifdef WSSMP_BARRIER
    21// Copyright (C) 2004, International Business Machines
    32// Corporation and others.  All Rights Reserved.
     
    1413#include "ClpMessage.hpp"
    1514
     15#ifdef WSSMP_BARRIER
    1616//#############################################################################
    1717// Constructors / Destructor / Assignment
  • trunk/Clp/src/Makefile.am

    r836 r994  
    2323        ClpCholeskyDense.cpp ClpCholeskyDense.hpp \
    2424        ClpCholeskyUfl.cpp ClpCholeskyUfl.hpp \
     25        ClpCholeskyWssmp.cpp ClpCholeskyWssmp.hpp \
     26        ClpCholeskyWssmpKKT.cpp ClpCholeskyWssmpKKT.hpp \
    2527        Clp_C_Interface.cpp Clp_C_Interface.h \
    2628        ClpDualRowDantzig.cpp ClpDualRowDantzig.hpp \
  • trunk/Clp/src/Makefile.in

    r915 r994  
    6969libClp_la_LIBADD =
    7070am_libClp_la_OBJECTS = ClpCholeskyBase.lo ClpCholeskyDense.lo \
    71         ClpCholeskyUfl.lo Clp_C_Interface.lo ClpDualRowDantzig.lo \
    72         ClpDualRowPivot.lo ClpDualRowSteepest.lo ClpDummyMatrix.lo \
     71        ClpCholeskyUfl.lo ClpCholeskyWssmp.lo ClpCholeskyWssmpKKT.lo \
     72        Clp_C_Interface.lo ClpDualRowDantzig.lo ClpDualRowPivot.lo \
     73        ClpDualRowSteepest.lo ClpDummyMatrix.lo \
    7374        ClpDynamicExampleMatrix.lo ClpDynamicMatrix.lo \
    7475        ClpEventHandler.lo ClpFactorization.lo ClpGubDynamicMatrix.lo \
     
    274275        ClpCholeskyDense.cpp ClpCholeskyDense.hpp \
    275276        ClpCholeskyUfl.cpp ClpCholeskyUfl.hpp \
     277        ClpCholeskyWssmp.cpp ClpCholeskyWssmp.hpp \
     278        ClpCholeskyWssmpKKT.cpp ClpCholeskyWssmpKKT.hpp \
    276279        Clp_C_Interface.cpp Clp_C_Interface.h \
    277280        ClpDualRowDantzig.cpp ClpDualRowDantzig.hpp \
     
    506509@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ClpCholeskyDense.Plo@am__quote@
    507510@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ClpCholeskyUfl.Plo@am__quote@
     511@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ClpCholeskyWssmp.Plo@am__quote@
     512@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ClpCholeskyWssmpKKT.Plo@am__quote@
    508513@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ClpDualRowDantzig.Plo@am__quote@
    509514@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ClpDualRowPivot.Plo@am__quote@
  • trunk/configure

    r915 r994  
    42144214          ifort* | */ifort* | IFORT* | */IFORT* )
    42154215            coin_opt_fflags='-O3'
    4216             coin_add_fflags='-nologo -MT'
     4216            coin_add_fflags='-fpp -nologo -MT'
    42174217            coin_dbg_fflags='-debug'
    42184218          ;;
     
    57075707
    57085708
    5709 unset ac_cv_file__________libtool
    5710 unset ac_cv_file_______libtool
    5711 unset ac_cv_file____libtool
    5712 
    57135709LIBTOOL=
    5714 echo "$as_me:$LINENO: checking for ../libtool" >&5
    5715 echo $ECHO_N "checking for ../libtool... $ECHO_C" >&6
    5716 if test "${ac_cv_file____libtool+set}" = set; then
    5717   echo $ECHO_N "(cached) $ECHO_C" >&6
    5718 else
    5719   test "$cross_compiling" = yes &&
    5720   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5721 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5722    { (exit 1); exit 1; }; }
    5723 if test -r "../libtool"; then
    5724   ac_cv_file____libtool=yes
    5725 else
    5726   ac_cv_file____libtool=no
    5727 fi
    5728 fi
    5729 echo "$as_me:$LINENO: result: $ac_cv_file____libtool" >&5
    5730 echo "${ECHO_T}$ac_cv_file____libtool" >&6
    5731 if test $ac_cv_file____libtool = yes; then
     5710if test -r ../libtool; then
    57325711  coin_config_dir=..
    5733                LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    5734 fi
    5735 
     5712  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
     5713fi
    57365714if test "x$LIBTOOL" = x; then
    5737   echo "$as_me:$LINENO: checking for ../../libtool" >&5
    5738 echo $ECHO_N "checking for ../../libtool... $ECHO_C" >&6
    5739 if test "${ac_cv_file_______libtool+set}" = set; then
    5740   echo $ECHO_N "(cached) $ECHO_C" >&6
    5741 else
    5742   test "$cross_compiling" = yes &&
    5743   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5744 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5745    { (exit 1); exit 1; }; }
    5746 if test -r "../../libtool"; then
    5747   ac_cv_file_______libtool=yes
    5748 else
    5749   ac_cv_file_______libtool=no
    5750 fi
    5751 fi
    5752 echo "$as_me:$LINENO: result: $ac_cv_file_______libtool" >&5
    5753 echo "${ECHO_T}$ac_cv_file_______libtool" >&6
    5754 if test $ac_cv_file_______libtool = yes; then
    5755   coin_config_dir=../..
    5756                  LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
    5757 fi
    5758 
    5759 fi
    5760 # if test "x$LIBTOOL" = x; then
    5761 #   AC_CHECK_FILE([../../../libtool],
    5762 #                 [coin_config_dir=../../..
    5763 #                  LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
    5764 # fi
     5715  if test -r ../../libtool; then
     5716    coin_config_dir=../..
     5717    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     5718  fi
     5719fi
    57655720
    57665721if test "x$LIBTOOL" = x; then
     
    63156270*-*-irix6*)
    63166271  # Find out which ABI we are using.
    6317   echo '#line 6317 "configure"' > conftest.$ac_ext
     6272  echo '#line 6272 "configure"' > conftest.$ac_ext
    63186273  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    63196274  (eval $ac_compile) 2>&5
     
    82798234   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82808235   -e 's:$: $lt_compiler_flag:'`
    8281    (eval echo "\"\$as_me:8281: $lt_compile\"" >&5)
     8236   (eval echo "\"\$as_me:8236: $lt_compile\"" >&5)
    82828237   (eval "$lt_compile" 2>conftest.err)
    82838238   ac_status=$?
    82848239   cat conftest.err >&5
    8285    echo "$as_me:8285: \$? = $ac_status" >&5
     8240   echo "$as_me:8240: \$? = $ac_status" >&5
    82868241   if (exit $ac_status) && test -s "$ac_outfile"; then
    82878242     # The compiler can only warn and ignore the option if not recognized
     
    85478502   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85488503   -e 's:$: $lt_compiler_flag:'`
    8549    (eval echo "\"\$as_me:8549: $lt_compile\"" >&5)
     8504   (eval echo "\"\$as_me:8504: $lt_compile\"" >&5)
    85508505   (eval "$lt_compile" 2>conftest.err)
    85518506   ac_status=$?
    85528507   cat conftest.err >&5
    8553    echo "$as_me:8553: \$? = $ac_status" >&5
     8508   echo "$as_me:8508: \$? = $ac_status" >&5
    85548509   if (exit $ac_status) && test -s "$ac_outfile"; then
    85558510     # The compiler can only warn and ignore the option if not recognized
     
    86518606   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86528607   -e 's:$: $lt_compiler_flag:'`
    8653    (eval echo "\"\$as_me:8653: $lt_compile\"" >&5)
     8608   (eval echo "\"\$as_me:8608: $lt_compile\"" >&5)
    86548609   (eval "$lt_compile" 2>out/conftest.err)
    86558610   ac_status=$?
    86568611   cat out/conftest.err >&5
    8657    echo "$as_me:8657: \$? = $ac_status" >&5
     8612   echo "$as_me:8612: \$? = $ac_status" >&5
    86588613   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86598614   then
     
    1099610951  lt_status=$lt_dlunknown
    1099710952  cat > conftest.$ac_ext <<EOF
    10998 #line 10998 "configure"
     10953#line 10953 "configure"
    1099910954#include "confdefs.h"
    1100010955
     
    1109611051  lt_status=$lt_dlunknown
    1109711052  cat > conftest.$ac_ext <<EOF
    11098 #line 11098 "configure"
     11053#line 11053 "configure"
    1109911054#include "confdefs.h"
    1110011055
     
    1344013395   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1344113396   -e 's:$: $lt_compiler_flag:'`
    13442    (eval echo "\"\$as_me:13442: $lt_compile\"" >&5)
     13397   (eval echo "\"\$as_me:13397: $lt_compile\"" >&5)
    1344313398   (eval "$lt_compile" 2>conftest.err)
    1344413399   ac_status=$?
    1344513400   cat conftest.err >&5
    13446    echo "$as_me:13446: \$? = $ac_status" >&5
     13401   echo "$as_me:13401: \$? = $ac_status" >&5
    1344713402   if (exit $ac_status) && test -s "$ac_outfile"; then
    1344813403     # The compiler can only warn and ignore the option if not recognized
     
    1354413499   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1354513500   -e 's:$: $lt_compiler_flag:'`
    13546    (eval echo "\"\$as_me:13546: $lt_compile\"" >&5)
     13501   (eval echo "\"\$as_me:13501: $lt_compile\"" >&5)
    1354713502   (eval "$lt_compile" 2>out/conftest.err)
    1354813503   ac_status=$?
    1354913504   cat out/conftest.err >&5
    13550    echo "$as_me:13550: \$? = $ac_status" >&5
     13505   echo "$as_me:13505: \$? = $ac_status" >&5
    1355113506   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1355213507   then
     
    1511415069   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1511515070   -e 's:$: $lt_compiler_flag:'`
    15116    (eval echo "\"\$as_me:15116: $lt_compile\"" >&5)
     15071   (eval echo "\"\$as_me:15071: $lt_compile\"" >&5)
    1511715072   (eval "$lt_compile" 2>conftest.err)
    1511815073   ac_status=$?
    1511915074   cat conftest.err >&5
    15120    echo "$as_me:15120: \$? = $ac_status" >&5
     15075   echo "$as_me:15075: \$? = $ac_status" >&5
    1512115076   if (exit $ac_status) && test -s "$ac_outfile"; then
    1512215077     # The compiler can only warn and ignore the option if not recognized
     
    1521815173   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1521915174   -e 's:$: $lt_compiler_flag:'`
    15220    (eval echo "\"\$as_me:15220: $lt_compile\"" >&5)
     15175   (eval echo "\"\$as_me:15175: $lt_compile\"" >&5)
    1522115176   (eval "$lt_compile" 2>out/conftest.err)
    1522215177   ac_status=$?
    1522315178   cat out/conftest.err >&5
    15224    echo "$as_me:15224: \$? = $ac_status" >&5
     15179   echo "$as_me:15179: \$? = $ac_status" >&5
    1522515180   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1522615181   then
     
    1742517380   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1742617381   -e 's:$: $lt_compiler_flag:'`
    17427    (eval echo "\"\$as_me:17427: $lt_compile\"" >&5)
     17382   (eval echo "\"\$as_me:17382: $lt_compile\"" >&5)
    1742817383   (eval "$lt_compile" 2>conftest.err)
    1742917384   ac_status=$?
    1743017385   cat conftest.err >&5
    17431    echo "$as_me:17431: \$? = $ac_status" >&5
     17386   echo "$as_me:17386: \$? = $ac_status" >&5
    1743217387   if (exit $ac_status) && test -s "$ac_outfile"; then
    1743317388     # The compiler can only warn and ignore the option if not recognized
     
    1769317648   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1769417649   -e 's:$: $lt_compiler_flag:'`
    17695    (eval echo "\"\$as_me:17695: $lt_compile\"" >&5)
     17650   (eval echo "\"\$as_me:17650: $lt_compile\"" >&5)
    1769617651   (eval "$lt_compile" 2>conftest.err)
    1769717652   ac_status=$?
    1769817653   cat conftest.err >&5
    17699    echo "$as_me:17699: \$? = $ac_status" >&5
     17654   echo "$as_me:17654: \$? = $ac_status" >&5
    1770017655   if (exit $ac_status) && test -s "$ac_outfile"; then
    1770117656     # The compiler can only warn and ignore the option if not recognized
     
    1779717752   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1779817753   -e 's:$: $lt_compiler_flag:'`
    17799    (eval echo "\"\$as_me:17799: $lt_compile\"" >&5)
     17754   (eval echo "\"\$as_me:17754: $lt_compile\"" >&5)
    1780017755   (eval "$lt_compile" 2>out/conftest.err)
    1780117756   ac_status=$?
    1780217757   cat out/conftest.err >&5
    17803    echo "$as_me:17803: \$? = $ac_status" >&5
     17758   echo "$as_me:17758: \$? = $ac_status" >&5
    1780417759   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1780517760   then
     
    2051120466
    2051220467  case $build in
     20468    *x86_64-*)
     20469# Here we need to check if -m32 is specified.  If so, we need to correct sys_lib_search_path_spec
     20470      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     20471        { echo "$as_me:$LINENO: Applying patches to libtool for 32bit compilation" >&5
     20472echo "$as_me: Applying patches to libtool for 32bit compilation" >&6;}
     20473        sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="/lib /usr/lib"|' libtool > conftest.bla
     20474        mv conftest.bla libtool
     20475        chmod 755 libtool
     20476      fi
     20477      ;;
    2051320478    *-cygwin* | *-mingw*)
    2051420479    case "$CXX" in
     
    2052520490            -e 's/$AR t/lib -nologo -list/' \
    2052620491            -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    20527             -e  's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20492            -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20493            -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    2052820494        libtool > conftest.bla
    2052920495
     
    2054320509        ;;
    2054420510    esac
     20511    ;;
     20512    *-darwin*)
     20513      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     20514echo "$as_me: Applying patches to libtool for Darwin" >&6;}
     20515      sed -e 's/verstring="${wl}-compatibility_version ${wl}$minor_current ${wl}-current_version ${wl}$minor_current.$revision"/verstring="-compatibility_version $minor_current -current_version $minor_current.$revision"/' \
     20516      libtool > conftest.bla
     20517
     20518      mv conftest.bla libtool
     20519      chmod 755 libtool
     20520      ;;
    2054520521  esac
    2054620522# This fi matches the commented `if test "x$LIBTOOL" = x;' up at the head of
     
    2082020796# Finally, we let configure write all the output...
    2082120797
    20822 FADDLIBS="$ADDLIBS"
    20823 if test x"$coin_need_flibs" = xyes; then
    20824   ADDLIBS="$ADDLIBS $FLIBS"
    20825 fi
    20826 
    20827 # library extension
    20828 
    20829 case "$CC" in
    20830   cl* | */cl* | CL* | */CL*)
    20831        LIBEXT=lib ;;
    20832     *) LIBEXT=a ;;
    20833 esac
    20834 
    20835 # Define VPATH_DISTCLEANFILES to be everything that needs to be
    20836 # cleaned for distclean in a vpath configuration
    20837 
    20838 VPATH_DISTCLEANFILES="$coin_vpath_link_files"
    20839 
    20840 cat >confcache <<\_ACEOF
     20798if test x$coin_skip_ac_output != xyes; then
     20799
     20800  FADDLIBS="$ADDLIBS"
     20801  if test x"$coin_need_flibs" = xyes; then
     20802    ADDLIBS="$ADDLIBS $FLIBS"
     20803  fi
     20804
     20805  # library extension
     20806
     20807  case "$CC" in
     20808    cl* | */cl* | CL* | */CL*)
     20809         LIBEXT=lib ;;
     20810      *) LIBEXT=a ;;
     20811  esac
     20812
     20813  # Define VPATH_DISTCLEANFILES to be everything that needs to be
     20814  # cleaned for distclean in a vpath configuration
     20815
     20816  VPATH_DISTCLEANFILES="$coin_vpath_link_files"
     20817
     20818  # Take out subdirectories if their configuration concluded that they
     20819  # don't need to be compiled
     20820  if test x"$coin_ac_skip_subdirs" != x; then
     20821    new_subdirs=
     20822    for i in $subdirs; do
     20823      skipme=no
     20824      for j in $coin_ac_skip_subdirs; do
     20825        if test $i = $j; then
     20826          skipme=yes;
     20827        fi
     20828      done
     20829      if test $skipme = no; then
     20830        new_subdirs="$new_subdirs $i"
     20831      fi
     20832    done
     20833    subdirs="$new_subdirs"
     20834  fi
     20835
     20836  cat >confcache <<\_ACEOF
    2084120837# This file is a shell script that caches the results of configure
    2084220838# tests run on this system so they can be shared between configure
     
    2227222268
    2227322269
    22274 if test x"$coin_vpath_link_files" = x; then : ; else
    22275   lnkcmd=
    22276   if test "$enable_doscompile" = yes; then
    22277     lnkcmd=cp
    22278   fi
    22279   case "$CC" in
    22280     cl* | */cl* | CL* | */CL*)
    22281       lnkcmd=cp ;;
    22282   esac
    22283   if test "$lnkcmd" = cp; then
    22284     { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
     22270  if test x"$coin_vpath_link_files" = x; then : ; else
     22271    lnkcmd=
     22272    if test "$enable_doscompile" = yes; then
     22273      lnkcmd=cp
     22274    fi
     22275    case "$CC" in
     22276      cl* | */cl* | CL* | */CL*)
     22277        lnkcmd=cp ;;
     22278    esac
     22279    if test "$lnkcmd" = cp; then
     22280      { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
    2228522281echo "$as_me: Copying data files for VPATH configuration" >&6;}
    22286   else
    22287     echo "$as_me:$LINENO: checking whether ln -s works" >&5
     22282    else
     22283      echo "$as_me:$LINENO: checking whether ln -s works" >&5
    2228822284echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
    2228922285LN_S=$as_ln_s
     
    2229622292fi
    2229722293
    22298     { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     22294      { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    2229922295echo "$as_me: Creating VPATH links for data files" >&6;}
    22300     lnkcmd="$LN_S"
    22301   fi
    22302   for file in $coin_vpath_link_files; do
    22303     dir=`(dirname "./$file") 2>/dev/null ||
     22296      lnkcmd="$LN_S"
     22297    fi
     22298    for file in $coin_vpath_link_files; do
     22299      dir=`(dirname "./$file") 2>/dev/null ||
    2230422300$as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    2230522301         X"./$file" : 'X\(//\)[^/]' \| \
     
    2231322309          /^X\(\/\).*/{ s//\1/; q; }
    2231422310          s/.*/./; q'`
    22315     if test -d $dir; then : ; else
    22316       { if $as_mkdir_p; then
     22311      if test -d $dir; then : ; else
     22312        { if $as_mkdir_p; then
    2231722313    mkdir -p $dir
    2231822314  else
     
    2233922335   { (exit 1); exit 1; }; }; }
    2234022336
    22341     fi
    22342     rm -f $file
    22343     $lnkcmd $abs_source_dir/$file $file
    22344   done
    22345 fi
    22346 
    22347 if test x$coin_projectdir = xyes; then
    22348   { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
     22337      fi
     22338      rm -f $file
     22339      $lnkcmd $abs_source_dir/$file $file
     22340    done
     22341  fi
     22342
     22343  if test x$coin_projectdir = xyes; then
     22344    { echo "$as_me:$LINENO: Configuration of $PACKAGE_NAME successful" >&5
    2234922345echo "$as_me: Configuration of $PACKAGE_NAME successful" >&6;}
    22350 else
    22351   { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
     22346  else
     22347    { echo "$as_me:$LINENO: Main configuration of $PACKAGE_NAME successful" >&5
    2235222348echo "$as_me: Main configuration of $PACKAGE_NAME successful" >&6;}
    22353 fi
    22354 
     22349  fi
     22350else
     22351  { echo "$as_me:$LINENO: No configuration of $PACKAGE_NAME necessary" >&5
     22352echo "$as_me: No configuration of $PACKAGE_NAME necessary" >&6;}
     22353fi
     22354
     22355
Note: See TracChangeset for help on using the changeset viewer.